.PROGRAM OR_Notes()
; These programs test/demonstrate all of the functions and their arguments 

;Set global variable OR_inst to 1 or 2, depending on primary or secondary

;Set global variable OR_config (ex, 104)
	;cfgID		Primary 	     Secondary
	;-------------------------------------------------------------------
	;101	-	   RG2FT		      -
	;102	-	   RGx		        -
	;103	-	   VG10/VGC10		  -
	;104	-	   Gecko		      -
	;105	HEX  -		          -
	;106	HEX	 RGx		        -
	;107	HEX	 VG10/VGC10		  -
	;108	HEX	 Gecko		      -
	;109	-	   RGx		        VG10/VGC10
	;110	-	   RGx		        Gecko
	;111	-	   RGx		        RGx
	;112	-	   VG10/VGC10		  RGx
	;113	-	   VG10/VGC10		  Gecko
	;114	-	   VG10/VGC10	    VG10/VGC10


;From KRterm, an example of running a program with a 109 configuration (with RGx and VG10):

;Type: load OR_Functions
;Type: load OR_Tests
;Type: OR_config = 109
;Type: OR_inst = 1
;Type: exe testRGX
;Test will execute, gripper will move, and data will be printed out to the terminal window
;Type: OR_inst = 2
;Type: exe testVG10
;Test will execute, gripper will move, and data will be printed out to the terminal window


.END


.PROGRAM testGecko()
  PRINT ""
  PRINT ""
  CALL OR_init.pc(OR_config)
  
  CALL OR_Gecko_isConn.pc(OR_inst, retVal)
  PRINT "isConnect: ", retVal

  PRINT "MOVING PADS IN"
  CALL OR_Gecko_padIn.pc(OR_inst,1)
  PRINT "(waited)"
  TWAIT 2
  CALL OR_Gecko_padPos.pc(OR_inst, retVal)
  PRINT "padPos: ", retVal

  PRINT "MOVING PADS OUT"
  CALL OR_Gecko_padOut.pc(OR_inst,0)
  PRINT "(didn't wait)"
  TWAIT 2
  CALL OR_Gecko_padPos.pc(OR_inst, retVal)
  PRINT "padPos: ", retVal

  PRINT "MOVING PADS IN"
  CALL OR_Gecko_padIn.pc(OR_inst,0)
  PRINT "(didn't wait)"
  TWAIT 2
  CALL OR_Gecko_padPos.pc(OR_inst, retVal)
  PRINT "padPos: ", retVal

  PRINT "MOVING PADS OUT"
  CALL OR_Gecko_padOut.pc(OR_inst,1)
  PRINT "(waited)"
  TWAIT 2
  CALL OR_Gecko_padPos.pc(OR_inst, retVal)
  PRINT "padPos: ", retVal

  CALL OR_Gecko_getF.pc(OR_inst, retVal)
  PRINT "forceVal: ", retVal

  CALL OR_Gecko_getUS.pc(OR_inst, retVal)
  PRINT "ultraVal: ", retVal

  CALL OR_Gecko_isPart.pc(OR_inst, retVal)
  PRINT "isPart: ", retVal

  CALL OR_Gecko_padSt.pc(OR_inst, retVal)
  PRINT "padStatus: ", retVal

.END

.PROGRAM testHex()
  PRINT ""
  PRINT ""
  CALL OR_init.pc(OR_config)

  CALL OR_HEX_isConn.pc(retVal) 
  PRINT "isConn: ", retVal

  CALL OR_HEX_unzero.pc
  TWAIT 0.5

  PRINT "UNZERO DATA"
  CALL OR_HEX_get.pc("Fx", retVal)
  PRINT "Fx: ", retVal
  CALL OR_HEX_get.pc("Fy", retVal)
  PRINT "Fy: ", retVal
  CALL OR_HEX_get.pc("Fz", retVal)
  PRINT "Fz: ", retVal
  CALL OR_HEX_get.pc("Tx", retVal)
  PRINT "Tx: ", retVal
  CALL OR_HEX_get.pc("Ty", retVal)
  PRINT "Ty: ", retVal
  CALL OR_HEX_get.pc("Tz", retVal)
  PRINT "Tz: ", retVal

  CALL OR_HEX_zero.pc
  TWAIT 0.5

  PRINT "ZERO DATA"
  CALL OR_HEX_get.pc("Fx", retVal)
  PRINT "Fx: ", retVal
  CALL OR_HEX_get.pc("Fy", retVal)
  PRINT "Fy: ", retVal
  CALL OR_HEX_get.pc("Fz", retVal)
  PRINT "Fz: ", retVal
  CALL OR_HEX_get.pc("Tx", retVal)
  PRINT "Tx: ", retVal
  CALL OR_HEX_get.pc("Ty", retVal)
  PRINT "Ty: ", retVal
  CALL OR_HEX_get.pc("Tz", retVal)
  PRINT "Tz: ", retVal

.END

.PROGRAM testRG2FT()
  PRINT ""
  PRINT ""
  CALL OR_init.pc(OR_config)

  CALL OR_RG2FT_isConn.pc(retVal) 
  PRINT "isConn: ", retVal
  CALL OR_RG2FT_isGrip.pc(retVal) 
  PRINT "isGrip: ", retVal
  CALL OR_RG2FT_gtLPrx.pc(retVal) 
  PRINT "LPROX: ", retVal
  CALL OR_RG2FT_gtRPrx.pc(retVal) 
  PRINT "RPROX: ", retVal
  CALL OR_RG2FT_getWid.pc(retVal)
  PRINT "WIDTH: ", retVal
  PRINT "ZEROING HEX"
  CALL OR_RG2FT_hxZr.pc
  TWAIT 0.5
  PRINT " "


  PRINT "MOVING TO 10MM AT 20N"
  CALL OR_RG2FT_move.pc(10, 20, 1)
  PRINT "WAITED"
  PRINT " "

  CALL OR_RG2FT_gtLPrx.pc(retVal) 
  PRINT "LPROX: ", retVal
  CALL OR_RG2FT_gtRPrx.pc(retVal) 
  PRINT "RPROX: ", retVal
  CALL OR_RG2FT_isGrip.pc(retVal) 
  PRINT "isGrip: ", retVal
  CALL OR_RG2FT_getWid.pc(retVal)
  PRINT "WIDTH: ", retVal
  PRINT " "

  PRINT "left hex:"
  CALL OR_RG2FT_getHex.pc("lFx", retVal)
  PRINT "lFx: ", retVal
  CALL OR_RG2FT_getHex.pc("lFy", retVal)
  PRINT "lFy: ", retVal
  CALL OR_RG2FT_getHex.pc("lFz", retVal)
  PRINT "lFz: ", retVal
  CALL OR_RG2FT_getHex.pc("lTx", retVal)
  PRINT "lTx: ", retVal
  CALL OR_RG2FT_getHex.pc("lTy", retVal)
  PRINT "lTy: ", retVal
  CALL OR_RG2FT_getHex.pc("lTz", retVal)
  PRINT "lTz: ", retVal

  PRINT "right hex:"
  CALL OR_RG2FT_getHex.pc("rFx", retVal)
  PRINT "rFx: ", retVal
  CALL OR_RG2FT_getHex.pc("rFy", retVal)
  PRINT "rFy: ", retVal
  CALL OR_RG2FT_getHex.pc("rFz", retVal)
  PRINT "rFz: ", retVal
  CALL OR_RG2FT_getHex.pc("rTx", retVal)
  PRINT "rTx: ", retVal
  CALL OR_RG2FT_getHex.pc("rTy", retVal)
  PRINT "rTy: ", retVal
  CALL OR_RG2FT_getHex.pc("rTz", retVal)
  PRINT "rTz: ", retVal 
  PRINT " "

  TWAIT 3

  PRINT "MOVING TO 100MM AT 18N"
  CALL OR_RG2FT_move.pc(100, 18, 1)
  PRINT "WAITED"
  PRINT " "
;  TWAIT 4

;  CALL OR_RG2FT_isBusy.pc(retVal)
;  PRINT "isBusy: ", retVal
;  PRINT " "

  PRINT "MOVING TO 10MM AT 20N"
  CALL OR_RG2FT_move.pc(10, 20, 0)
  PRINT "DIDN'T WAIT"
  PRINT " "
  TWAIT 0.1
;  CALL OR_RG2FT_isBusy.pc(retVal)
;  PRINT "isBusy: ", retVal

;  TWAIT 0.1
;  CALL OR_RG2FT_stop.pc
;  PRINT "STOPPED WHILE CLOSING TO 10MM"
;  PRINT " "

  TWAIT 3
  PRINT "MOVING TO 100MM AT 18N"
  CALL OR_RG2FT_move.pc(100, 18, 1)
  PRINT "WAITED"
  PRINT " "

  CALL OR_RG2FT_pOfVaL.pc( 10, 15)
  PRINT "setting prox offsets: L=10. R=15"
  TWAIT 0.1
  CALL OR_RG2FT_gtLPrx.pc(retVal) 
  PRINT "LPROX: ", retVal
  CALL OR_RG2FT_gtRPrx.pc(retVal) 
  PRINT "RPROX: ", retVal

  CALL OR_RG2FT_pOfAct.pc
  PRINT "setting prox offsets to actual"
  TWAIT 0.1
  CALL OR_RG2FT_gtLPrx.pc(retVal) 
  PRINT "LPROX: ", retVal
  CALL OR_RG2FT_gtRPrx.pc(retVal) 
  PRINT "RPROX: ", retVal
  PRINT ""



  CALL OR_RG2FT_hxUnzr.pc
  TWAIT 0.5

  PRINT "unzero"
  PRINT "left hex:"
  CALL OR_RG2FT_getHex.pc("lFx", retVal)
  PRINT "lFx: ", retVal
  CALL OR_RG2FT_getHex.pc("lFy", retVal)
  PRINT "lFy: ", retVal
  CALL OR_RG2FT_getHex.pc("lFz", retVal)
  PRINT "lFz: ", retVal
  CALL OR_RG2FT_getHex.pc("lTx", retVal)
  PRINT "lTx: ", retVal
  CALL OR_RG2FT_getHex.pc("lTy", retVal)
  PRINT "lTy: ", retVal
  CALL OR_RG2FT_getHex.pc("lTz", retVal)
  PRINT "lTz: ", retVal

  PRINT "right hex:"
  CALL OR_RG2FT_getHex.pc("rFx", retVal)
  PRINT "rFx: ", retVal
  CALL OR_RG2FT_getHex.pc("rFy", retVal)
  PRINT "rFy: ", retVal
  CALL OR_RG2FT_getHex.pc("rFz", retVal)
  PRINT "rFz: ", retVal
  CALL OR_RG2FT_getHex.pc("rTx", retVal)
  PRINT "rTx: ", retVal
  CALL OR_RG2FT_getHex.pc("rTy", retVal)
  PRINT "rTy: ", retVal
  CALL OR_RG2FT_getHex.pc("rTz", retVal)
  PRINT "rTz: ", retVal

  CALL OR_RG2FT_hxZr.pc
  TWAIT 0.5

  PRINT ""
  PRINT "zero"
  PRINT "left hex:"
  CALL OR_RG2FT_getHex.pc("lFx", retVal)
  PRINT "lFx: ", retVal
  CALL OR_RG2FT_getHex.pc("lFy", retVal)
  PRINT "lFy: ", retVal
  CALL OR_RG2FT_getHex.pc("lFz", retVal)
  PRINT "lFz: ", retVal
  CALL OR_RG2FT_getHex.pc("lTx", retVal)
  PRINT "lTx: ", retVal
  CALL OR_RG2FT_getHex.pc("lTy", retVal)
  PRINT "lTy: ", retVal
  CALL OR_RG2FT_getHex.pc("lTz", retVal)
  PRINT "lTz: ", retVal

  PRINT "right hex:"
  CALL OR_RG2FT_getHex.pc("rFx", retVal)
  PRINT "rFx: ", retVal
  CALL OR_RG2FT_getHex.pc("rFy", retVal)
  PRINT "rFy: ", retVal
  CALL OR_RG2FT_getHex.pc("rFz", retVal)
  PRINT "rFz: ", retVal
  CALL OR_RG2FT_getHex.pc("rTx", retVal)
  PRINT "rTx: ", retVal
  CALL OR_RG2FT_getHex.pc("rTy", retVal)
  PRINT "rTy: ", retVal
  CALL OR_RG2FT_getHex.pc("rTz", retVal)
  PRINT "rTz: ", retVal 
10
.END

.PROGRAM testVG10()
  PRINT ""
  PRINT ""
  CALL OR_init.pc(OR_config)

  CALL OR_VG10_isConn.pc(OR_inst, retVal)
  PRINT "isConn: ", retVal

  PRINT "RAISING CHANNEL A TO 20"
  CALL OR_VG10_grip.pc(OR_inst, 20 , 0, 1)
  CALL OR_VG10_getVacA.pc(OR_inst, retVal)
  PRINT "vacA: ", retVal
  CALL OR_VG10_getVacB.pc(OR_inst, retVal)
  PRINT "vacB: ", retVal
  TWAIT 2

  PRINT "RAISING CHANNEL B TO 20"
  CALL OR_VG10_grip.pc(OR_inst, 20 , 20, 1)
  CALL OR_VG10_getVacA.pc(OR_inst, retVal)
  PRINT "vacA: ", retVal
  CALL OR_VG10_getVacB.pc(OR_inst, retVal)
  PRINT "vacB: ", retVal
  TWAIT 2

  PRINT "RAISING CHANNEL A TO 50"
  CALL OR_VG10_grip.pc(OR_inst, 50 , 20, 1)
  CALL OR_VG10_getVacA.pc(OR_inst, retVal)
  PRINT "vacA: ", retVal
  CALL OR_VG10_getVacB.pc(OR_inst, retVal)
  PRINT "vacB: ", retVal
  TWAIT 2

  PRINT "RAISING CHANNEL B TO 50"
  CALL OR_VG10_grip.pc(OR_inst, 50 , 50, 1)
  CALL OR_VG10_getVacA.pc(OR_inst, retVal)
  PRINT "vacA: ", retVal
  CALL OR_VG10_getVacB.pc(OR_inst, retVal)
  PRINT "vacB: ", retVal
  TWAIT 2

  PRINT "RELEASING BOTH CHANNELS"
  CALL OR_VG10_grip.pc(OR_inst, 0 , 0, 1)
  CALL OR_VG10_getVacA.pc(OR_inst, retVal)
  PRINT "vacA: ", retVal
  CALL OR_VG10_getVacB.pc(OR_inst, retVal)
  PRINT "vacB: ", retVal
  TWAIT 2

  CALL OR_VG10_setCur.pc(OR_inst, 515)
  PRINT"SETTING CURRENT TO 515"
  TWAIT 0.1

  CALL OR_VG10_getLim.pc(OR_inst, retVal)
  PRINT "lim: ", retVal

  TWAIT 0.1

  CALL OR_VG10_setCur.pc(OR_inst, 602)
  PRINT"SETTING CURRENT TO 602"
  TWAIT 0.1

  CALL OR_VG10_getLim.pc(OR_inst, retVal)
  PRINT "lim: ", retVal

.END

.PROGRAM testRGx()
  PRINT ""
  PRINT ""
  CALL OR_init.pc(OR_config)

  CALL OR_RGx_isConn.pc(OR_inst,  retVal) 
  PRINT "isConn: ", retVal


  CALL OR_RGx_isSSOn.pc(OR_inst,  retVal)
  PRINT "isSSOn: ", retVal

  CALL OR_RGx_isGrip.pc(OR_inst, retVal) 
  PRINT "isGrip: ", retVal

  PRINT "MOVING TO 50MM AT 20N"
  CALL OR_RGx_move.pc(OR_inst, 50, 20, 1)
  PRINT "(waited)"

  CALL OR_RGx_isGrip.pc(OR_inst, retVal) 
  PRINT "isGrip: ", retVal
  TWAIT 2

  CALL OR_RGx_isBusy.pc(OR_inst, retVal ) 
  PRINT "isBusy: ", retVal
  PRINT "MOVING TO 100MM AT 18N"
  CALL OR_RGx_move.pc(OR_inst, 100, 18, 0)
  PRINT "(didn't wait)"
  TWAIT 0.5
  CALL OR_RGx_isBusy.pc(OR_inst, retVal ) 
  PRINT "isBusy: ", retVal

.END

